Subject: bug#9249: Does Libtool 2.4 support Solaris 2.8?

From: Andreas Kupries <[email-masked]>
Date: Mon, 08 Aug 2011 13:39:45 -0700

On 8/8/2011 1:40 PM, Jeff Squyres wrote:
> On Aug 8, 2011, at 4:24 PM, Andreas Kupries wrote:
>
>>> What happens if you run configure in sh (not bash)?
>>
>> executing sh ../../src/configure ...
>> 	sh = /usr/bin/sh
>> CONF
>> [...]
>> CONF checking whether the shell understands some XSI constructs... yes
>> CONF checking whether the shell understands "+="... no
>>
>> And the build works.
>
> Ok, good.
>
> It wasn't clear to me that you were explicitly running configure in bash before, and then the makefiles were defaulting to sh.

I see. Yeah, that is what I'm doing.
I will find a way from here now.

> All is now explained.
> Thanks, libtool people!

-- 
Andreas Kupries
Senior Tcl Developer
ActiveState, The Dynamic Language Experts

P: 778.786.1122
F: 778.786.1133
[email-masked]
http://www.activestate.com
Get insights on Open Source and Dynamic Languages at www.activestate.com/blog